Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 129736 - emacs doesn't detect utf8 encoding of file
Summary: emacs doesn't detect utf8 encoding of file
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2004-08-12 12:32 UTC by Alexander Larsson
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 08:34:07 UTC


Attachments (Terms of Use)
The textfile, in utf8. (deleted)
2004-08-12 12:32 UTC, Alexander Larsson
no flags Details
Other text file (deleted)
2004-08-30 13:26 UTC, Alexander Larsson
no flags Details

Description Alexander Larsson 2004-08-12 12:32:18 UTC
Unless i add a local coding variable defining the file as utf8 emacs
doesn't autodetect the file as utf8, so when you save the utf8
characters in the file are changed.

Comment 1 Alexander Larsson 2004-08-12 12:32:49 UTC
Created attachment 102645 [details]
The textfile, in utf8.

Comment 2 Miloslav Trmač 2004-08-12 13:29:29 UTC
$ LC_MESSAGES=C iconv -f utf-8 -t utf-8 < eel-changelog  > /dev/null
iconv: illegal input sequence at position 8181


Comment 3 Jens Petersen 2004-08-13 12:22:22 UTC
Well spotted: the second "Tomasz K" is different from the first -
so it looks like the file corrupted.

Comment 4 Alexander Larsson 2004-08-30 13:26:11 UTC
Created attachment 103246 [details]
Other text file

Ok, what about this one. It passes iconv and has the same problem.

Comment 5 Matthew Miller 2005-04-26 15:14:06 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 6 Jens Petersen 2005-09-28 08:34:07 UTC
AFAICT this is ok now with cvs emacs (ie emacs22)
which has improved upstream support.


Note You need to log in before you can comment on or make changes to this bug.